| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
App1AppSettings_t Struct Reference

`#include <App1_types.h>`

Collaboration diagram for App1AppSettings_t:

## Data Fields
uint8 | control
isf_SubscriptionSettings_t | AccelerometerSettings_Sub0
isf_SubscriptionSettings_t | AccelerometerSettings_Sub1
isf_SubscriptionSettings_t | AccelerometerSettings_Sub2
isf_SubscriptionSettings_t | AccelerometerSettings_Sub3
isf_SubscriptionSettings_t | AccelerometerSettings_Sub4
isf_SubscriptionSettings_t | AccelerometerSettings_Sub5
isf_SubscriptionSettings_t | AccelerometerSettings_Sub6
isf_SubscriptionSettings_t | AccelerometerSettings_Sub7
isf_SubscriptionSettings_t | MagnetometerSettings_Sub8
isf_SubscriptionSettings_t | MagnetometerSettings_Sub9
isf_SubscriptionSettings_t | GyrometerSettings_Sub10
isf_SubscriptionSettings_t | GyrometerSettings_Sub11
isf_SubscriptionSettings_t | PressureSettings_Sub12
isf_SubscriptionSettings_t | TemperatureSettings_Sub13
isf_SubscriptionSettings_t | OrientationSettings_Sub14
isf_SubscriptionSettings_t | AltitudeSettings_Sub15
isf_SubscriptionSettings_t | PedometerSettings_Sub16
isf_SubscriptionSettings_t | PedometerSettings_Sub17
isf_SubscriptionSettings_t | CustomSettings_Sub18
isf_SubscriptionSettings_t | AnalogSettings_Sub19

## Detailed Description

Definition at line 198 of file App1_types.h.

## Field Documentation

isf_SubscriptionSettings_t AccelerometerSettings_Sub0

Definition at line 200 of file App1_types.h.

Referenced by App1_ci_app_callback(), App1_GotoState(), and App1_MainTask().

isf_SubscriptionSettings_t AccelerometerSettings_Sub1

Definition at line 201 of file App1_types.h.

Referenced by App1_ci_app_callback(), App1_GotoState(), and App1_MainTask().

isf_SubscriptionSettings_t AccelerometerSettings_Sub2

Definition at line 202 of file App1_types.h.

Referenced by App1_ci_app_callback(), App1_GotoState(), and App1_MainTask().

isf_SubscriptionSettings_t AccelerometerSettings_Sub3

Definition at line 203 of file App1_types.h.

Referenced by App1_ci_app_callback(), App1_GotoState(), and App1_MainTask().

isf_SubscriptionSettings_t AccelerometerSettings_Sub4

Definition at line 204 of file App1_types.h.

Referenced by App1_ci_app_callback(), App1_GotoState(), and App1_MainTask().

isf_SubscriptionSettings_t AccelerometerSettings_Sub5

Definition at line 205 of file App1_types.h.

Referenced by App1_ci_app_callback(), App1_GotoState(), and App1_MainTask().

isf_SubscriptionSettings_t AccelerometerSettings_Sub6

Definition at line 206 of file App1_types.h.

Referenced by App1_ci_app_callback(), App1_GotoState(), and App1_MainTask().

isf_SubscriptionSettings_t AccelerometerSettings_Sub7

Definition at line 207 of file App1_types.h.

Referenced by App1_ci_app_callback(), App1_GotoState(), and App1_MainTask().

isf_SubscriptionSettings_t AltitudeSettings_Sub15

Definition at line 215 of file App1_types.h.

Referenced by App1_ci_app_callback(), App1_GotoState(), and App1_MainTask().

isf_SubscriptionSettings_t AnalogSettings_Sub19

Definition at line 219 of file App1_types.h.

Referenced by App1_ci_app_callback(), App1_GotoState(), and App1_MainTask().

uint8 control

Definition at line 199 of file App1_types.h.

Referenced by App1_ci_app_callback(), App1_GotoState(), and App1_MainTask().

isf_SubscriptionSettings_t CustomSettings_Sub18

Definition at line 218 of file App1_types.h.

Referenced by App1_ci_app_callback(), App1_GotoState(), and App1_MainTask().

isf_SubscriptionSettings_t GyrometerSettings_Sub10

Definition at line 210 of file App1_types.h.

Referenced by App1_ci_app_callback(), App1_GotoState(), and App1_MainTask().

isf_SubscriptionSettings_t GyrometerSettings_Sub11

Definition at line 211 of file App1_types.h.

Referenced by App1_ci_app_callback(), App1_GotoState(), and App1_MainTask().

isf_SubscriptionSettings_t MagnetometerSettings_Sub8

Definition at line 208 of file App1_types.h.

Referenced by App1_ci_app_callback(), App1_GotoState(), and App1_MainTask().

isf_SubscriptionSettings_t MagnetometerSettings_Sub9

Definition at line 209 of file App1_types.h.

Referenced by App1_ci_app_callback(), App1_GotoState(), and App1_MainTask().

isf_SubscriptionSettings_t OrientationSettings_Sub14

Definition at line 214 of file App1_types.h.

Referenced by App1_ci_app_callback(), App1_GotoState(), and App1_MainTask().

isf_SubscriptionSettings_t PedometerSettings_Sub16

Definition at line 216 of file App1_types.h.

Referenced by App1_ci_app_callback(), App1_GotoState(), and App1_MainTask().

isf_SubscriptionSettings_t PedometerSettings_Sub17

Definition at line 217 of file App1_types.h.

Referenced by App1_ci_app_callback(), App1_GotoState(), and App1_MainTask().

isf_SubscriptionSettings_t PressureSettings_Sub12

Definition at line 212 of file App1_types.h.

Referenced by App1_ci_app_callback(), App1_GotoState(), and App1_MainTask().

isf_SubscriptionSettings_t TemperatureSettings_Sub13

Definition at line 213 of file App1_types.h.

Referenced by App1_ci_app_callback(), App1_GotoState(), and App1_MainTask().

The documentation for this struct was generated from the following file:

- App1_types.h

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.